Package com.ocient.jdbc.proto

# Class ClientWireProtocol.SetParameter.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.SetParameterOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.SetParameter

    public static final class ClientWireProtocol.SetParameter.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>
    implements ClientWireProtocol.SetParameterOrBuilder

Protobuf type `xg.cmdcomp.SetParameter`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.SetParameter.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.SetParameter` | `build()` |
`ClientWireProtocol.SetParameter` | `buildPartial()` |
`ClientWireProtocol.SetParameter.Builder` | `clear()` |
`ClientWireProtocol.SetParameter.Builder` | `clearConcurrency()` | `.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`ClientWireProtocol.SetParameter.Builder` | `clearForceExternal()` | `.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`ClientWireProtocol.SetParameter.Builder` | `clearParameter()` |
`ClientWireProtocol.SetParameter.Builder` | `clearPriority()` | `.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.Builder` | `clearPsoSeed()` | `.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`
`ClientWireProtocol.SetParameter.Builder` | `clearPsoThreshold()` | `.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`
`ClientWireProtocol.SetParameter.Builder` | `clearReset()` | whether we should reset back to the default, overrides whatever threshold is
`ClientWireProtocol.SetParameter.Builder` | `clearResultSetColumnLimit()` | `.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`
`ClientWireProtocol.SetParameter.Builder` | `clearRowLimit()` | `.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`
`ClientWireProtocol.SetParameter.Builder` | `clearTempDiskLimit()` | `.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.Builder` | `clearTimeLimit()` | `.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`ClientWireProtocol.SetParameter.Builder` | `clone()` |
`ClientWireProtocol.SetParameter.Concurrency` | `getConcurrency()` | `.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter.Concurrency.Builder` | `getConcurrencyBuilder()` | `.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter.ConcurrencyOrBuilder` | `getConcurrencyOrBuilder()` | `.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`ClientWireProtocol.SetParameter.ForceExternal` | `getForceExternal()` | `.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.ForceExternal.Builder` | `getForceExternalBuilder()` | `.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.ForceExternalOrBuilder` | `getForceExternalOrBuilder()` | `.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.ParameterCase` | `getParameterCase()` |
`ClientWireProtocol.SetParameter.Priority` | `getPriority()` | `.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.Priority.Builder` | `getPriorityBuilder()` | `.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.PriorityOrBuilder` | `getPriorityOrBuilder()` | `.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.PSOSeed` | `getPsoSeed()` | `.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`
`ClientWireProtocol.SetParameter.PSOSeed.Builder` | `getPsoSeedBuilder()` | `.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`
`ClientWireProtocol.SetParameter.PSOSeedOrBuilder` | `getPsoSeedOrBuilder()` | `.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`
`ClientWireProtocol.SetParameter.PSO` | `getPsoThreshold()` | `.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`
`ClientWireProtocol.SetParameter.PSO.Builder` | `getPsoThresholdBuilder()` | `.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`
`ClientWireProtocol.SetParameter.PSOOrBuilder` | `getPsoThresholdOrBuilder()` | `.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`
`boolean` | `getReset()` | whether we should reset back to the default, overrides whatever threshold is
`ClientWireProtocol.SetParameter.ResultSetColumnLimit` | `getResultSetColumnLimit()` | `.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`
`ClientWireProtocol.SetParameter.ResultSetColumnLimit.Builder` | `getResultSetColumnLimitBuilder()` | `.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`
`ClientWireProtocol.SetParameter.ResultSetColumnLimitOrBuilder` | `getResultSetColumnLimitOrBuilder()` | `.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`
`ClientWireProtocol.SetParameter.RowLimit` | `getRowLimit()` | `.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`
`ClientWireProtocol.SetParameter.RowLimit.Builder` | `getRowLimitBuilder()` | `.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`
`ClientWireProtocol.SetParameter.RowLimitOrBuilder` | `getRowLimitOrBuilder()` | `.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`
`ClientWireProtocol.SetParameter.MaxTempDiskLimit` | `getTempDiskLimit()` | `.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder` | `getTempDiskLimitBuilder()` | `.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.MaxTempDiskLimitOrBuilder` | `getTempDiskLimitOrBuilder()` | `.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.TimeLimit` | `getTimeLimit()` | `.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`ClientWireProtocol.SetParameter.TimeLimit.Builder` | `getTimeLimitBuilder()` | `.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`ClientWireProtocol.SetParameter.TimeLimitOrBuilder` | `getTimeLimitOrBuilder()` | `.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`boolean` | `hasConcurrency()` | `.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`boolean` | `hasForceExternal()` | `.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`boolean` | `hasPriority()` | `.xg.cmdcomp.SetParameter.Priority priority = 6;`
`boolean` | `hasPsoSeed()` | `.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`
`boolean` | `hasPsoThreshold()` | `.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`
`boolean` | `hasResultSetColumnLimit()` | `.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`
`boolean` | `hasRowLimit()` | `.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`
`boolean` | `hasTempDiskLimit()` | `.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`boolean` | `hasTimeLimit()` | `.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`ClientWireProtocol.SetParameter.Builder` | `mergeConcurrency​(ClientWireProtocol.SetParameter.Concurrency value)` | `.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter.Builder` | `mergeForceExternal​(ClientWireProtocol.SetParameter.ForceExternal value)` | `.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`ClientWireProtocol.SetParameter.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`ClientWireProtocol.SetParameter.Builder` | `mergeFrom​(ClientWireProtocol.SetParameter other)` |
`ClientWireProtocol.SetParameter.Builder` | `mergePriority​(ClientWireProtocol.SetParameter.Priority value)` | `.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.Builder` | `mergePsoSeed​(ClientWireProtocol.SetParameter.PSOSeed value)` | `.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`
`ClientWireProtocol.SetParameter.Builder` | `mergePsoThreshold​(ClientWireProtocol.SetParameter.PSO value)` | `.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`
`ClientWireProtocol.SetParameter.Builder` | `mergeResultSetColumnLimit​(ClientWireProtocol.SetParameter.ResultSetColumnLimit value)` | `.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`
`ClientWireProtocol.SetParameter.Builder` | `mergeRowLimit​(ClientWireProtocol.SetParameter.RowLimit value)` | `.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`
`ClientWireProtocol.SetParameter.Builder` | `mergeTempDiskLimit​(ClientWireProtocol.SetParameter.MaxTempDiskLimit value)` | `.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.Builder` | `mergeTimeLimit​(ClientWireProtocol.SetParameter.TimeLimit value)` | `.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`ClientWireProtocol.SetParameter.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.SetParameter.Builder` | `setConcurrency​(ClientWireProtocol.SetParameter.Concurrency value)` | `.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter.Builder` | `setConcurrency​(ClientWireProtocol.SetParameter.Concurrency.Builder builderForValue)` | `.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.SetParameter.Builder` | `setForceExternal​(ClientWireProtocol.SetParameter.ForceExternal value)` | `.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.Builder` | `setForceExternal​(ClientWireProtocol.SetParameter.ForceExternal.Builder builderForValue)` | `.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.Builder` | `setPriority​(ClientWireProtocol.SetParameter.Priority value)` | `.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.Builder` | `setPriority​(ClientWireProtocol.SetParameter.Priority.Builder builderForValue)` | `.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.Builder` | `setPsoSeed​(ClientWireProtocol.SetParameter.PSOSeed value)` | `.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`
`ClientWireProtocol.SetParameter.Builder` | `setPsoSeed​(ClientWireProtocol.SetParameter.PSOSeed.Builder builderForValue)` | `.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`
`ClientWireProtocol.SetParameter.Builder` | `setPsoThreshold​(ClientWireProtocol.SetParameter.PSO value)` | `.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`
`ClientWireProtocol.SetParameter.Builder` | `setPsoThreshold​(ClientWireProtocol.SetParameter.PSO.Builder builderForValue)` | `.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`
`ClientWireProtocol.SetParameter.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`ClientWireProtocol.SetParameter.Builder` | `setReset​(boolean value)` | whether we should reset back to the default, overrides whatever threshold is
`ClientWireProtocol.SetParameter.Builder` | `setResultSetColumnLimit​(ClientWireProtocol.SetParameter.ResultSetColumnLimit value)` | `.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`
`ClientWireProtocol.SetParameter.Builder` | `setResultSetColumnLimit​(ClientWireProtocol.SetParameter.ResultSetColumnLimit.Builder builderForValue)` | `.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`
`ClientWireProtocol.SetParameter.Builder` | `setRowLimit​(ClientWireProtocol.SetParameter.RowLimit value)` | `.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`
`ClientWireProtocol.SetParameter.Builder` | `setRowLimit​(ClientWireProtocol.SetParameter.RowLimit.Builder builderForValue)` | `.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`
`ClientWireProtocol.SetParameter.Builder` | `setTempDiskLimit​(ClientWireProtocol.SetParameter.MaxTempDiskLimit value)` | `.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.Builder` | `setTempDiskLimit​(ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder builderForValue)` | `.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.Builder` | `setTimeLimit​(ClientWireProtocol.SetParameter.TimeLimit value)` | `.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`ClientWireProtocol.SetParameter.Builder` | `setTimeLimit​(ClientWireProtocol.SetParameter.TimeLimit.Builder builderForValue)` | `.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`ClientWireProtocol.SetParameter.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`

### clear

public ClientWireProtocol.SetParameter.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.SetParameter getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.SetParameter build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.SetParameter buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ClientWireProtocol.SetParameter.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`

### setField

public ClientWireProtocol.SetParameter.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`

### clearField

public ClientWireProtocol.SetParameter.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`

### clearOneof

public ClientWireProtocol.SetParameter.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`

### setRepeatedField

public ClientWireProtocol.SetParameter.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`

### addRepeatedField

public ClientWireProtocol.SetParameter.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`

### mergeFrom

public ClientWireProtocol.SetParameter.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SetParameter.Builder>`

### mergeFrom

public ClientWireProtocol.SetParameter.Builder mergeFrom​(ClientWireProtocol.SetParameter other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`

### mergeFrom

public ClientWireProtocol.SetParameter.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SetParameter.Builder>`
Throws:
  `IOException`

### getParameterCase

public ClientWireProtocol.SetParameter.ParameterCase getParameterCase()

Specified by:
  `getParameterCase` in interface `ClientWireProtocol.SetParameterOrBuilder`

### clearParameter

public ClientWireProtocol.SetParameter.Builder clearParameter()

### getReset

public boolean getReset()

    whether we should reset back to the default, overrides whatever threshold is

`bool reset = 1;`

Specified by:
  `getReset` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The reset.

### setReset

public ClientWireProtocol.SetParameter.Builder setReset​(boolean value)

    whether we should reset back to the default, overrides whatever threshold is

`bool reset = 1;`

Parameters:
  `value` - The reset to set.
Returns:
  This builder for chaining.

### clearReset

public ClientWireProtocol.SetParameter.Builder clearReset()

    whether we should reset back to the default, overrides whatever threshold is

`bool reset = 1;`

Returns:
  This builder for chaining.

### hasPsoThreshold

public boolean hasPsoThreshold()
`.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`

Specified by:
  `hasPsoThreshold` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the psoThreshold field is set.

### getPsoThreshold

public ClientWireProtocol.SetParameter.PSO getPsoThreshold()
`.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`

Specified by:
  `getPsoThreshold` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The psoThreshold.

### setPsoThreshold

public ClientWireProtocol.SetParameter.Builder setPsoThreshold​(ClientWireProtocol.SetParameter.PSO value)
`.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`

### setPsoThreshold

public ClientWireProtocol.SetParameter.Builder setPsoThreshold​(ClientWireProtocol.SetParameter.PSO.Builder builderForValue)
`.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`

### mergePsoThreshold

public ClientWireProtocol.SetParameter.Builder mergePsoThreshold​(ClientWireProtocol.SetParameter.PSO value)
`.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`

### clearPsoThreshold

public ClientWireProtocol.SetParameter.Builder clearPsoThreshold()
`.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`

### getPsoThresholdBuilder

public ClientWireProtocol.SetParameter.PSO.Builder getPsoThresholdBuilder()
`.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`

### getPsoThresholdOrBuilder

public ClientWireProtocol.SetParameter.PSOOrBuilder getPsoThresholdOrBuilder()
`.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`

Specified by:
  `getPsoThresholdOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasRowLimit

public boolean hasRowLimit()
`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

Specified by:
  `hasRowLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the rowLimit field is set.

### getRowLimit

public ClientWireProtocol.SetParameter.RowLimit getRowLimit()
`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

Specified by:
  `getRowLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The rowLimit.

### setRowLimit

public ClientWireProtocol.SetParameter.Builder setRowLimit​(ClientWireProtocol.SetParameter.RowLimit value)
`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

### setRowLimit

public ClientWireProtocol.SetParameter.Builder setRowLimit​(ClientWireProtocol.SetParameter.RowLimit.Builder builderForValue)
`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

### mergeRowLimit

public ClientWireProtocol.SetParameter.Builder mergeRowLimit​(ClientWireProtocol.SetParameter.RowLimit value)
`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

### clearRowLimit

public ClientWireProtocol.SetParameter.Builder clearRowLimit()
`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

### getRowLimitBuilder

public ClientWireProtocol.SetParameter.RowLimit.Builder getRowLimitBuilder()
`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

### getRowLimitOrBuilder

public ClientWireProtocol.SetParameter.RowLimitOrBuilder getRowLimitOrBuilder()
`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

Specified by:
  `getRowLimitOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasTimeLimit

public boolean hasTimeLimit()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

Specified by:
  `hasTimeLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the timeLimit field is set.

### getTimeLimit

public ClientWireProtocol.SetParameter.TimeLimit getTimeLimit()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

Specified by:
  `getTimeLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The timeLimit.

### setTimeLimit

public ClientWireProtocol.SetParameter.Builder setTimeLimit​(ClientWireProtocol.SetParameter.TimeLimit value)
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

### setTimeLimit

public ClientWireProtocol.SetParameter.Builder setTimeLimit​(ClientWireProtocol.SetParameter.TimeLimit.Builder builderForValue)
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

### mergeTimeLimit

public ClientWireProtocol.SetParameter.Builder mergeTimeLimit​(ClientWireProtocol.SetParameter.TimeLimit value)
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

### clearTimeLimit

public ClientWireProtocol.SetParameter.Builder clearTimeLimit()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

### getTimeLimitBuilder

public ClientWireProtocol.SetParameter.TimeLimit.Builder getTimeLimitBuilder()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

### getTimeLimitOrBuilder

public ClientWireProtocol.SetParameter.TimeLimitOrBuilder getTimeLimitOrBuilder()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

Specified by:
  `getTimeLimitOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasTempDiskLimit

public boolean hasTempDiskLimit()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

Specified by:
  `hasTempDiskLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the tempDiskLimit field is set.

### getTempDiskLimit

public ClientWireProtocol.SetParameter.MaxTempDiskLimit getTempDiskLimit()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

Specified by:
  `getTempDiskLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The tempDiskLimit.

### setTempDiskLimit

public ClientWireProtocol.SetParameter.Builder setTempDiskLimit​(ClientWireProtocol.SetParameter.MaxTempDiskLimit value)
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

### setTempDiskLimit

public ClientWireProtocol.SetParameter.Builder setTempDiskLimit​(ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder builderForValue)
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

### mergeTempDiskLimit

public ClientWireProtocol.SetParameter.Builder mergeTempDiskLimit​(ClientWireProtocol.SetParameter.MaxTempDiskLimit value)
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

### clearTempDiskLimit

public ClientWireProtocol.SetParameter.Builder clearTempDiskLimit()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

### getTempDiskLimitBuilder

public ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder getTempDiskLimitBuilder()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

### getTempDiskLimitOrBuilder

public ClientWireProtocol.SetParameter.MaxTempDiskLimitOrBuilder getTempDiskLimitOrBuilder()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

Specified by:
  `getTempDiskLimitOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasPriority

public boolean hasPriority()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

Specified by:
  `hasPriority` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the priority field is set.

### getPriority

public ClientWireProtocol.SetParameter.Priority getPriority()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

Specified by:
  `getPriority` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The priority.

### setPriority

public ClientWireProtocol.SetParameter.Builder setPriority​(ClientWireProtocol.SetParameter.Priority value)
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

### setPriority

public ClientWireProtocol.SetParameter.Builder setPriority​(ClientWireProtocol.SetParameter.Priority.Builder builderForValue)
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

### mergePriority

public ClientWireProtocol.SetParameter.Builder mergePriority​(ClientWireProtocol.SetParameter.Priority value)
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

### clearPriority

public ClientWireProtocol.SetParameter.Builder clearPriority()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

### getPriorityBuilder

public ClientWireProtocol.SetParameter.Priority.Builder getPriorityBuilder()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

### getPriorityOrBuilder

public ClientWireProtocol.SetParameter.PriorityOrBuilder getPriorityOrBuilder()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

Specified by:
  `getPriorityOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasConcurrency

public boolean hasConcurrency()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

Specified by:
  `hasConcurrency` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the concurrency field is set.

### getConcurrency

public ClientWireProtocol.SetParameter.Concurrency getConcurrency()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

Specified by:
  `getConcurrency` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The concurrency.

### setConcurrency

public ClientWireProtocol.SetParameter.Builder setConcurrency​(ClientWireProtocol.SetParameter.Concurrency value)
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

### setConcurrency

public ClientWireProtocol.SetParameter.Builder setConcurrency​(ClientWireProtocol.SetParameter.Concurrency.Builder builderForValue)
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

### mergeConcurrency

public ClientWireProtocol.SetParameter.Builder mergeConcurrency​(ClientWireProtocol.SetParameter.Concurrency value)
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

### clearConcurrency

public ClientWireProtocol.SetParameter.Builder clearConcurrency()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

### getConcurrencyBuilder

public ClientWireProtocol.SetParameter.Concurrency.Builder getConcurrencyBuilder()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

### getConcurrencyOrBuilder

public ClientWireProtocol.SetParameter.ConcurrencyOrBuilder getConcurrencyOrBuilder()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

Specified by:
  `getConcurrencyOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasPsoSeed

public boolean hasPsoSeed()
`.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`

Specified by:
  `hasPsoSeed` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the psoSeed field is set.

### getPsoSeed

public ClientWireProtocol.SetParameter.PSOSeed getPsoSeed()
`.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`

Specified by:
  `getPsoSeed` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The psoSeed.

### setPsoSeed

public ClientWireProtocol.SetParameter.Builder setPsoSeed​(ClientWireProtocol.SetParameter.PSOSeed value)
`.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`

### setPsoSeed

public ClientWireProtocol.SetParameter.Builder setPsoSeed​(ClientWireProtocol.SetParameter.PSOSeed.Builder builderForValue)
`.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`

### mergePsoSeed

public ClientWireProtocol.SetParameter.Builder mergePsoSeed​(ClientWireProtocol.SetParameter.PSOSeed value)
`.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`

### clearPsoSeed

public ClientWireProtocol.SetParameter.Builder clearPsoSeed()
`.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`

### getPsoSeedBuilder

public ClientWireProtocol.SetParameter.PSOSeed.Builder getPsoSeedBuilder()
`.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`

### getPsoSeedOrBuilder

public ClientWireProtocol.SetParameter.PSOSeedOrBuilder getPsoSeedOrBuilder()
`.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`

Specified by:
  `getPsoSeedOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasResultSetColumnLimit

public boolean hasResultSetColumnLimit()
`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

Specified by:
  `hasResultSetColumnLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the resultSetColumnLimit field is set.

### getResultSetColumnLimit

public ClientWireProtocol.SetParameter.ResultSetColumnLimit getResultSetColumnLimit()
`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

Specified by:
  `getResultSetColumnLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The resultSetColumnLimit.

### setResultSetColumnLimit

public ClientWireProtocol.SetParameter.Builder setResultSetColumnLimit​(ClientWireProtocol.SetParameter.ResultSetColumnLimit value)
`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

### setResultSetColumnLimit

public ClientWireProtocol.SetParameter.Builder setResultSetColumnLimit​(ClientWireProtocol.SetParameter.ResultSetColumnLimit.Builder builderForValue)
`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

### mergeResultSetColumnLimit

public ClientWireProtocol.SetParameter.Builder mergeResultSetColumnLimit​(ClientWireProtocol.SetParameter.ResultSetColumnLimit value)
`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

### clearResultSetColumnLimit

public ClientWireProtocol.SetParameter.Builder clearResultSetColumnLimit()
`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

### getResultSetColumnLimitBuilder

public ClientWireProtocol.SetParameter.ResultSetColumnLimit.Builder getResultSetColumnLimitBuilder()
`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

### getResultSetColumnLimitOrBuilder

public ClientWireProtocol.SetParameter.ResultSetColumnLimitOrBuilder getResultSetColumnLimitOrBuilder()
`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

Specified by:
  `getResultSetColumnLimitOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasForceExternal

public boolean hasForceExternal()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

Specified by:
  `hasForceExternal` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the forceExternal field is set.

### getForceExternal

public ClientWireProtocol.SetParameter.ForceExternal getForceExternal()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

Specified by:
  `getForceExternal` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The forceExternal.

### setForceExternal

public ClientWireProtocol.SetParameter.Builder setForceExternal​(ClientWireProtocol.SetParameter.ForceExternal value)
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

### setForceExternal

public ClientWireProtocol.SetParameter.Builder setForceExternal​(ClientWireProtocol.SetParameter.ForceExternal.Builder builderForValue)
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

### mergeForceExternal

public ClientWireProtocol.SetParameter.Builder mergeForceExternal​(ClientWireProtocol.SetParameter.ForceExternal value)
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

### clearForceExternal

public ClientWireProtocol.SetParameter.Builder clearForceExternal()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

### getForceExternalBuilder

public ClientWireProtocol.SetParameter.ForceExternal.Builder getForceExternalBuilder()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

### getForceExternalOrBuilder

public ClientWireProtocol.SetParameter.ForceExternalOrBuilder getForceExternalOrBuilder()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

Specified by:
  `getForceExternalOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### setUnknownFields

public final ClientWireProtocol.SetParameter.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.SetParameter.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`